## scowl 5

=== Makefile ===
#
# Special targets
#

levels := $(shell cat l/levels-list 2> /dev/null)

programs := src/deaccent src/find-accented

.PHONY: all
all: $(foreach l, $(levels), final/english-words.$(l)) \
  final/special-roman-numerals.35 final/special-hacker.50

.PHONY: clean
clean:
	rm -f working/* $(programs) r/varcon/*.lst r/varcon/variant.tab r/mwords/*.lst r/alt12dicts/*.lst r/ispell/all.* r/pos/word.lst r/uk-freq-class/uk.?? r/census/*.lst

#
# Actual word list creation
#

working/%.mk: l/levels-list
	src/make-call-list $*

make_words = working/words.$(1): $(shell src/make-words-deps $(1)); \
	src/make-words $(1)
-include working/make_words.mk
working/words.00:
	-rm -f working/words.00
	touch working/words.00

split_list = $(shell src/list-combin working/ $(1).pre): \
  $(shell src/split-words-deps $(1)); \
	 src/split-words $(1)
$(call split_list,00)
-include working/split_list.mk

make_final = $(shell src/list-combin final/ $(1) ):                        \
   src/make-final working/with-accents.lst src/add-accents                 \
   $(shell src/list-combin working/ $(1).pre)                              \
   $(shell src/list-combin working/ $(shell src/get-level prev $(1)).pre); \
	src/make-final $(1)
-include working/make_final.mk

#
# Special lists
#

working/all.lst working/all.lst-unfiltered: \
  src/make-all.lst $(shell find l/supplement/ l/add-affixes/ -type l)
	$<

working/variant_0.lst working/variant_1.lst working/variant_2.lst: \
  src/make-variant.lst         r/alt12dicts/variant-also.lst \
  r/alt12dicts/variant-yes.lst r/alt12dicts/variant-maybe.lst \
  r/infl/variant_0.lst  r/infl/variant_1.lst  r/infl/variant_2.lst \
  r/special/variant_0  r/special/variant_1  r/special/variant_2 \
  r/special/never-variant
	$<

working/contractions.lst: src/make-contractions.lst working/words.80
	$<

working/known-upper.lst: src/make-known-upper.lst l/upper/* \
  src/add-other-spellings r/varcon/voc.tab r/varcon/variant.tab
	$<

working/proper-names.lst: src/make-proper-names.lst \
  working/known-upper.lst l/proper-names/*            \
  working/all.lst working/abbreviations.lst.pre
	$<

working/abbreviations.lst.pre: src/make-abbreviations.lst.pre \
  working/all.lst working/known-upper.lst l/abbreviations/* \
  r/special/never-abbreviations
	$<

working/abbreviations.lst: src/make-abbreviations.lst \
  working/abbreviations.lst.pre working/proper-names.lst
	$<

working/upper.lst: src/make-upper.lst \
  src/add-possessive working/possessive.lst \
  working/known-upper.lst working/abbreviations.lst
	$<

working/possessive.lst: src/make-possessive.lst src/extract-possessive \
  r/pos/part-of-speech.txt working/abbreviations.lst.pre \
  working/proper-names.lst
	$<

working/with-accents.lst working/without-accents.lst: \
  src/make-accent-lists src/deaccent src/find-accented l/accented/*
	$<

# 
# Special lists in final
#

final/special-roman-numerals.35: r/special/roman-numerals
	cp $< $@

final/special-hacker.50: l/hacker/*
	cat $^ | sort -u > $@

#
# Modified form of Raw Lists
#

r/mwords/frequent.lst: src/make-frequent.lst r/mwords/10001fr.equ r/mwords/10002fr.equ
	$<

r/census/dist.all.last.lst r/census/dist.female.first.lst r/census/dist.male.first.lst: \
  src/proc-census \
  r/census/dist.all.last r/census/dist.female.first r/census/dist.male.first
	$<

$(foreach b, \
  02of12 05of12 11of12 abbr not-abbr variant-maybe variant-also variant-yes not-variant,\
  r/alt12dicts/$(b).lst): src/proc-alt12dicts
	$<

#r/ispell/all.0 r/ispell/all.1: r/ispell/all.%: \
#  src/make-ispell-all.lst 
#	$< $*

#$(foreach b, \
#  abbreviations acronyms english variant non-american all,\
#  r/12dicts/$(b).lst): \
#src/proc-12dicts r/12dicts/6of12.txt
#	src/proc-12dicts

r/varcon/american.lst r/varcon/british.lst r/varcon/canadian.lst r/varcon/common.lst: \
  r/varcon/split r/varcon/abc.tab
	cd r/varcon; ./split

r/varcon/variant.tab: r/varcon/make-variant r/varcon/abc.tab r/varcon/variant-also.tab r/varcon/variant-infl.tab
	cd r/varcon; ./make-variant no-infl

r/ukacd/deaccented.lst: src/make-ukacd-deaccented.lst \
  r/ukacd/UKACD17.TXT src/deaccent
	$<

r/ukacd/squashed.lst: src/make-ukacd-squashed.lst r/ukacd/deaccented.lst
	$<

r/ukacd/squashed-accented.lst: \
  src/make-ukacd-squashed-accented.lst r/ukacd/UKACD17.TXT
	$<

r/pos/word.lst: r/pos/part-of-speech.txt
	cat r/pos/part-of-speech.txt | cut -f1 > r/pos/word.lst

r/uk-freq-class/uk.%: src/proc-uk-freq-class
	$<

#
# Special programs creation
#

$(programs): src/%: src/%.cc
	cd src && make $*

#
# Level information
#

l/levels-list: l/levels
	sed 's/#.*$$//' < l/levels > l/levels-list

#
# Makefiles creation
#

Makefile: l/levels-list

deps: .symbolic-deps
.symbolic-deps: $(shell find l -type d)
	src/make-symbolic-deps
-include .symbolic-deps

## scowl 6

=== Makefile ===
--- 
+++ 
@@ -70,6 +70,7 @@
 	$<
 
 working/abbreviations.lst.pre: src/make-abbreviations.lst.pre \
+  src/add-affixes \
   working/all.lst working/known-upper.lst l/abbreviations/* \
   r/special/never-abbreviations
 	$<
@@ -119,6 +120,19 @@
   r/alt12dicts/$(b).lst): src/proc-alt12dicts
 	$<
 
+r/alt12dicts/3esl.lst: r/alt12dicts/3esl.txt src/clean-alan-list
+	src/clean-alan-list < $< > $@
+
+r/alt12dicts/2of4brif.lst: r/alt12dicts/2of4brif.txt src/clean-alan-list
+	src/clean-alan-list < $< > $@
+
+r/alt12dicts/5desk.lst: r/alt12dicts/5desk.txt src/clean-alan-list
+	src/clean-alan-list < $< > $@
+
+r/alt12dicts/signature.lst: r/alt12dicts/signature.txt src/clean-alan-list
+	src/clean-alan-list < $< > $@
+
+#
 #r/ispell/all.0 r/ispell/all.1: r/ispell/all.%: \
 #  src/make-ispell-all.lst 
 #	$< $*
@@ -129,11 +143,11 @@
 #src/proc-12dicts r/12dicts/6of12.txt
 #	src/proc-12dicts
 
-r/varcon/american.lst r/varcon/british.lst r/varcon/canadian.lst r/varcon/common.lst: \
-  r/varcon/split r/varcon/abc.tab
+r/varcon/american.lst r/varcon/british.lst r/varcon/british_z.lst r/varcon/canadian.lst r/varcon/common.lst: \
+  r/varcon/split r/varcon/abbc.tab
 	cd r/varcon; ./split
 
-r/varcon/variant.tab: r/varcon/make-variant r/varcon/abc.tab r/varcon/variant-also.tab r/varcon/variant-infl.tab
+r/varcon/variant.tab: r/varcon/make-variant r/varcon/abbc.tab r/varcon/variant-also.tab r/varcon/variant-infl.tab
 	cd r/varcon; ./make-variant no-infl
 
 r/ukacd/deaccented.lst: src/make-ukacd-deaccented.lst \

## scowl 7.1

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,13 @@
+#
+# Make dam sure that the locale is set to C
+#
+
+LANG=C
+LC_ALL=C
+LC_CTYPE=C
+LC_COLLATE=C
+export LANG LC_ALL LC_CTYPE LC_COLLATE
+
 #
 # Special targets
 #
@@ -8,11 +18,19 @@
 
 .PHONY: all
 all: $(foreach l, $(levels), final/english-words.$(l)) \
-  final/special-roman-numerals.35 final/special-hacker.50
+  final/special-roman-numerals.35 final/special-hacker.50 \
+  README
 
 .PHONY: clean
 clean:
 	rm -f working/* $(programs) r/varcon/*.lst r/varcon/variant.tab r/mwords/*.lst r/alt12dicts/*.lst r/ispell/all.* r/pos/word.lst r/uk-freq-class/uk.?? r/census/*.lst
+
+#
+# README
+#
+
+README: src/make-README $(foreach l, $(levels), final/english-words.$(l))
+	src/make-README
 
 #
 # Actual word list creation
@@ -38,7 +56,7 @@
    src/make-final working/with-accents.lst src/add-accents                 \
    $(shell src/list-combin working/ $(1).pre)                              \
    $(shell src/list-combin working/ $(shell src/get-level prev $(1)).pre); \
-	src/make-final $(1)
+	src/make-final  $(1)
 -include working/make_final.mk
 
 #
@@ -46,15 +64,21 @@
 #
 
 working/all.lst working/all.lst-unfiltered: \
-  src/make-all.lst $(shell find l/supplement/ l/add-affixes/ -type l)
+  src/make-all.lst $(shell find l/supplement/ l/add-affixes/ l/add-possessive -type l)
 	$<
 
 working/variant_0.lst working/variant_1.lst working/variant_2.lst: \
   src/make-variant.lst         r/alt12dicts/variant-also.lst \
   r/alt12dicts/variant-yes.lst r/alt12dicts/variant-maybe.lst \
   r/infl/variant_0.lst  r/infl/variant_1.lst  r/infl/variant_2.lst \
+  r/varcon/british.lst r/varcon/british_z.lst r/varcon/canadian.lst \
+  r/varcon/w_variant-amer.lst r/varcon/w_variant-nonamer.lst  \
   r/special/variant_0  r/special/variant_1  r/special/variant_2 \
   r/special/never-variant
+	touch working/possessive-also.lst
+	$<
+	rm working/possessive-also.lst
+	$(MAKE) working/possessive-also.lst
 	$<
 
 working/contractions.lst: src/make-contractions.lst working/words.80
@@ -80,17 +104,16 @@
 	$<
 
 working/upper.lst: src/make-upper.lst \
-  src/add-possessive working/possessive.lst \
+  src/add-affixes working/possessive-also.lst \
   working/known-upper.lst working/abbreviations.lst
 	$<
 
-working/possessive.lst: src/make-possessive.lst src/extract-possessive \
-  r/pos/part-of-speech.txt working/abbreviations.lst.pre \
-  working/proper-names.lst
+working/possessive-also.lst: src/make-possessive.lst r/special/add-possessive \
+  working/abbreviations.lst.pre working/proper-names.lst
 	$<
 
 working/with-accents.lst working/without-accents.lst: \
-  src/make-accent-lists src/deaccent src/find-accented l/accented/*
+  src/make-accent-lists src/deaccent src/find-accented l/accented/squashed-accented.lst
 	$<
 
 # 
@@ -143,22 +166,26 @@
 #src/proc-12dicts r/12dicts/6of12.txt
 #	src/proc-12dicts
 
-r/varcon/american.lst r/varcon/british.lst r/varcon/british_z.lst r/varcon/canadian.lst r/varcon/common.lst: \
-  r/varcon/split r/varcon/abbc.tab
+r/varcon/american.lst r/varcon/british.lst r/varcon/british_z.lst r/varcon/canadian.lst: \
+  r/varcon/split r/varcon/varcon.txt
 	cd r/varcon; ./split
 
-r/varcon/variant.tab: r/varcon/make-variant r/varcon/abbc.tab r/varcon/variant-also.tab r/varcon/variant-infl.tab
+r/varcon/w_variant-amer.lst r/varcon/w_variant-nonamer.lst: \
+  r/varcon/split r/varcon/varcon.txt
+	cd r/varcon; ./w_variant
+
+r/varcon/variant.tab: r/varcon/make-variant r/varcon/varcon.txt r/varcon/variant-also.tab r/varcon/variant-infl.tab
 	cd r/varcon; ./make-variant no-infl
 
 r/ukacd/deaccented.lst: src/make-ukacd-deaccented.lst \
-  r/ukacd/UKACD17.TXT src/deaccent
+  r/ukacd/ukacd17.txt src/deaccent
 	$<
 
 r/ukacd/squashed.lst: src/make-ukacd-squashed.lst r/ukacd/deaccented.lst
 	$<
 
 r/ukacd/squashed-accented.lst: \
-  src/make-ukacd-squashed-accented.lst r/ukacd/UKACD17.TXT
+  src/make-ukacd-squashed-accented.lst r/ukacd/ukacd17.txt
 	$<
 
 r/pos/word.lst: r/pos/part-of-speech.txt

=== speller/Makefile ===

all: 
	@echo "Please use hunspell or aspell as target"

.aspell: make-aspell-dict
	make -C src deaccent
	./make-aspell-dict
	touch .aspell
aspell: .aspell

.hunspell: .aspell make-hunspell-dict add-no-suggest en.aff en.dic.supp
	./make-hunspell-dict
	touch .hunspell
hunspell: .hunspell

clean:
	rm -f .aspell .hunspell
	rm -f *.wl en_*.dic en_*.aff *.zip *.tocheck README_en_??.txt

## scowl 2017.01.22

=== debian/changelog ===
scowl (2017.01.22-1) experimental; urgency=low

  * New upstream release
  * Include the proper variant spelling into the proper language (Closes:
    #659841). Thanks to Drew Parsons.
  * Sort using LC_ALL=C to make builds reproducible. (Closes: #791851).
    Thanks to Reiner Herrmann.
  * Remove non-word mys (Closes: #858961). Thanks to Josh Triplett.
  * Switch to dh $@ style packaging
  * Switch to quilt packaging

 -- Don Armstrong <don@debian.org>  Sun, 09 Apr 2017 15:25:00 -0700

scowl (7.1-1) unstable; urgency=low

  * New upstream release
    - Move dieing to english-words.80 (Closes: #515896)
    - Modularises is in english-words.80 (Closes: #634824)
  * Remove uniprocessorunix, thanks to Dean Menezes (Closes: #530456)
  * afterward and afterwards are both perfectly legitimate english words;
    add them to english-words.10 (Closes: #564032)
  * Add unices, unixen to hacker list; add unixes to english-words.95,
    thanks to Dean Menezes (Closes: #530457)
  * Add analyses (plural of analysis) (Closes: #570718). Thanks to Benoit
    Sibaud.
  * Deprecate irregardless slightly (Closes: #584076)
  * Stick prepend into american words even though it is computer
    jargon (Closes: #402055)

 -- Don Armstrong <don@debian.org>  Wed, 12 Oct 2011 14:44:02 -0700

scowl (6-3) unstable; urgency=low

  * Encode in UTF-8, thanks to Marc Fournier (Closes: #470463)
  * Kill off triple letter misspellings, thanks to Justin B Rye (Closes:
    #304501).
  * Fix supr{essed,ising} issues in english-words.95, thanks to Jidanni
    (closes: #521229)
  * Sanitize the makefile to not be so repetitive
  * Add -insane package to include the .95 wordlists
  * Include hacker special wordlist in the insane dictionaries
  * Add homepage field
  * Update standards version

 -- Don Armstrong <don@debian.org>  Sun, 29 Mar 2009 23:59:43 -0700

scowl (6-2.3) unstable; urgency=low

  * Taking over this package (Closes: #487734)
  * Fix the building of -huge binaries (Closes: #346113) [Thanks to Jason
    Rhinelander <jagerman@jagerman.com> for a patch, though I actually
    implemented myself without seeing his.]
  
 -- Don Armstrong <don@debian.org>  Thu, 03 Jul 2008 18:16:08 -0700

scowl (6-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Make wamerican no longer depend on dictionaries-common, while
    using its features if present: (Closes: #487977).
    - wamerican.links: Install /usr/share/dict/words link to
      american-english.
    - wamerican.post{inst,rm}: Run dictionaries-common stuff only
      if available.
    - wamerican.config: Check that dictionaries-common is installed
      and a recent version (having elanguages support) before trying
      to use it.
    - debian/rules: Do not auto-generate maintainer scripts for
      wamerican, but use the new hardcoded ones. Split
      installdeb-wordlist stuff for wamerican and the rest of the
      wordlists, moving both to the install target.
    - debian/control: Remove dictionaries-common dependency and
      include a conflicts against dictionaries-common (<< 0.98) where
      /usr/share/dict/words link diversion is included.
  * debian/control:
    - Bumped Standards-Version to 3.7.3. No changes needed.
    - Moved debhelper dependency from Build-Depends-Indep to
      Build-Depends. debhelper is required to run the clean target
      of debian/rules (Policy Manual, section 7.6).

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 26 Jun 2008 12:24:26 +0200

scowl (6-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Bumped Standards-Version to 3.7.2. No changes needed.
  * debian/compat now is 5.
  * Apply patch from Tom Parker <debian@tevp.net>, to stop Scowl generated
    packages to erronously depend on debconf twice, and to allow for
    debconf-2.0 as an alternate, thus blocking the cedebconf transition
    (Closes: #393455).

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Sat, 27 Jan 2007 18:38:03 +0100

scowl (6-2) unstable; urgency=low

  * debian/rules: remove a ${!VAR} bashism; replace with eval(...)
    Closes: #207102 scowl: debian/rules script contains bashisms

 -- David Coe <davidc@debian.org>  Fri, 14 Oct 2005 22:00:22 -0400

scowl (6-1) unstable; urgency=low

  * New upstream release.
    Closes: #333207 wamerican-large: new upstream release 6 available
  * debian/rules and debian/control: Added -huge versions of the
    american, canadian, and british word lists. Upstream word lists are
    now better organized; we take advantage of that by adding the new
    size "40" word lists to the standard lists, the size "55" word lists
    to the -large lists, and the size "80" word lists to the (new) -huge
    lists.
    Closes: #317422 dictionaries-common: sightlines/metallicity
    "Sightlines" is now in the -huge lists; "metallicity" is only in the
    upstream size "95" lists, so (by my policy) even the -huge lists
    won't include it.  If you want that, and all the other really odd
    words, please install and use the Debian "scowl" package.
  * Added "Debian" and "Debian's" to english-proper-names.50, which
    gets them into the standard, -large, and -huge lists.
    If Microsoft is there (it is), we should be too ;).
    Closes: #327749: wamerican: should include "debian" in wordlist
  * debian/control:
    - standards version 3.6.2 (no changes required)
    - removed the 'wenglish' dummy package
      Closes: #322072 wenglish: Dummy package still needed?
      Closes: #286583 wenglish: typo in package description
  * debian/copyright: updated copyright (some additions from
    latest upstream README).

 -- David Coe <davidc@debian.org>  Fri, 14 Oct 2005 01:00:03 -0400

scowl (5-4) unstable; urgency=low

  * debian/control: depend [and build-depend] on newer
    dictionaries-common[-dev] (>=0.20).
    Closes: #232166 "Please update your ... package(s) to new .config system"
  * debian/control; bump standards-version; no changes required.


=== debian/control ===
Source: scowl
Maintainer: Don Armstrong <don@debian.org>
Section: text
Priority: standard
Standards-Version: 3.9.2
Build-Depends: debhelper
Build-Depends-Indep: dictionaries-common-dev
Homepage: http://wordlist.sourceforge.net/

Package: scowl
Architecture: all
Priority: optional
Depends: ${misc:Depends}
Description: Spell-Checker Oriented Word Lists
 The SCOWL is a collection of word lists organized by word popularity,
 language, word class, and other factors.  These lists can be
 combined in various ways (or used individually) for spell checking
 and similar purposes.
 .
 The Debian wamerican*, wbritish*, and wcanadian* wordlist packages
 are built from (appropriate collections of) these same lists.  Install
 one (or more) of those packages if you want a comprehensive word list;
 install scowl if you (also) want to pick and choose the pieces that
 comprise those lists.
 .
 You can learn more about SCOWL (and other English word lists) at
 http://wordlist.sourceforge.net/

Package: wamerican
Architecture: all
Priority: standard
Depends: ${misc:Depends}
Provides: wordlist
Description: American English dictionary words for /usr/share/dict
 This package provides the file /usr/share/dict/american-english
 containing a list of English words with American spellings.
 This list can be used by spelling checkers, and by programs such
 as look(1).
 .
 There are also -small, -large, and -huge versions of this word list,
 and there are wbritish* and wcanadian* packages as well.

Package: wamerican-small
Architecture: all
Priority: optional
Depends: dictionaries-common (>=0.20), ${misc:Depends}
Provides: wordlist
Description: American English dictionary words for /usr/share/dict
 This package provides the file /usr/share/dict/american-english-small
 containing a list of English words with American spellings.
 This list can be used by spelling checkers, and by programs such
 as look(1).
 .
 This is a smaller list than the one installed by wamerican; nothing
 prevents you installing both (and others) at the same time.
 .
 There are also -large and -huge version of this word list,
 and there are wbritish* and wcanadian* packages as well.

Package: wamerican-large
Architecture: all
Priority: optional
Depends: dictionaries-common (>=0.20), ${misc:Depends}
Provides: wordlist
Description: American English dictionary words for /usr/share/dict
 This package provides the file /usr/share/dict/american-english-large
 containing a list of English words with American spellings.
 This list can be used by spelling checkers, and by programs such
 as look(1).
 .
 This is a larger list than the one installed by wamerican; nothing
 prevents you installing both (and others) at the same time.
 .
 There are also -small and -huge version of this word list,
 and there are wbritish* and wcanadian* packages as well.

Package: wamerican-huge
Architecture: all
Priority: optional
Depends: dictionaries-common (>=0.20), ${misc:Depends}
Provides: wordlist
Description: American English dictionary words for /usr/share/dict
 This package provides the file /usr/share/dict/american-english-huge
 containing a list of English words with American spellings.
 This list can be used by spelling checkers, and by programs such
 as look(1).
 .
 This is an even larger list than the one installed by wamerican-large;
 nothing prevents you installing both (and others) at the same time.
 .
 There are also -small and standard versions of this word list,
 and there are wbritish* and wcanadian* packages as well.

Package: wamerican-insane
Architecture: all
Priority: optional
Depends: dictionaries-common (>=0.20), ${misc:Depends}
Provides: wordlist
Description: American English dictionary words for /usr/share/dict
 This package provides the file /usr/share/dict/american-english-insane
 containing a list of English words with American spellings.
 This list can be used by spelling checkers, and by programs such
 as look(1).
 .
 This is an even larger list than the one installed by wamerican-huge,
 and possibly contains invalid words (as well as words that are very
 uncommon). Nothing prevents you installing both (and others) at the
 same time.
 .
 There are also -small and standard versions of this word list,
 and there are wbritish* and wcanadian* packages as well.


Package: wbritish
Architecture: all
Priority: optional
Depends: dictionaries-common (>=0.20), ${misc:Depends}
Provides: wordlist
Description: British English dictionary words for /usr/share/dict
 This package provides the file /usr/share/dict/british-english
 containing a list of English words with British spellings.
 This list can be used by spelling checkers, and by programs such
 as look(1).
 .
 There are also -small, -large, and -huge versions of this word list,
 and there are wamerican* and wcanadian* packages as well.

Package: wbritish-small
Architecture: all
Priority: optional
Depends: dictionaries-common (>=0.20), ${misc:Depends}
Provides: wordlist
Description: British English dictionary words for /usr/share/dict
 This package provides the file /usr/share/dict/british-english-small
 containing a list of English words with British spellings.
 This list can be used by spelling checkers, and by programs such
 as look(1).
 .
 This is a smaller list than the one installed by wbritish; nothing
 prevents you installing both (and others) at the same time.
 .
 There are also -large and -huge version of this word list,
 and there are wamerican* and wcanadian* packages as well.

Package: wbritish-large
Architecture: all
Priority: optional
Depends: dictionaries-common (>=0.20), ${misc:Depends}
Provides: wordlist
Description: British English dictionary words for /usr/share/dict
 This package provides the file /usr/share/dict/british-english-large
 containing a list of English words with British spellings.
 This list can be used by spelling checkers, and by programs such
 as look(1).
 .
 This is a larger list than the one installed by wbritish; nothing
 prevents you installing both (and others) at the same time.
 .
 There are also -small and -huge versions of this word list,
 and there are wamerican* and wcanadian* packages as well.

Package: wbritish-huge
Architecture: all
Priority: optional
Depends: dictionaries-common (>=0.20), ${misc:Depends}
Provides: wordlist
Description: British English dictionary words for /usr/share/dict
 This package provides the file /usr/share/dict/british-english-huge
 containing a list of English words with British spellings.
 This list can be used by spelling checkers, and by programs such
 as look(1).
 .
 This is an even larger list than the one installed by wbritish-large;
 nothing prevents you installing both (and others) at the same time.
 .
 There are also -small and standard versions of this word list,
 and there are wamerican* and wcanadian* packages as well.

Package: wbritish-insane
Architecture: all
Priority: optional
Depends: dictionaries-common (>=0.20), ${misc:Depends}
Provides: wordlist
Description: British English dictionary words for /usr/share/dict
 This package provides the file /usr/share/dict/british-english-insane
 containing a list of English words with British spellings.
 This list can be used by spelling checkers, and by programs such
 as look(1).
 .
 This is an even larger list than the one installed by wbritish-huge,
 and possibly contains invalid words (as well as words that are very
 uncommon). Nothing prevents you installing both (and others) at the
 same time.
 .
 There are also -small and standard versions of this word list,
 and there are wamerican* and wcanadian* packages as well.

Package: wcanadian
Architecture: all
Priority: optional
Depends: dictionaries-common (>=0.20), ${misc:Depends}
Provides: wordlist
Description: Canadian English dictionary words for /usr/share/dict
 This package provides the file /usr/share/dict/canadian-english
 containing a list of English words with Canadian spellings.
 This list can be used by spelling checkers, and by programs such
 as look(1).
 .
 There are also -small, -large and -huge versions of this word list,
 and there are wbritish* and wamerican* packages as well.

Package: wcanadian-small
Architecture: all
Priority: optional
Depends: dictionaries-common (>=0.20), ${misc:Depends}
Provides: wordlist
Description: Canadian English dictionary words for /usr/share/dict
 This package provides the file /usr/share/dict/canadian-english-small
 containing a list of English words with Canadian spellings.
 This list can be used by spelling checkers, and by programs such
 as look(1).
 .
 This is a smaller list than the one installed by wcanadian; nothing
 prevents you installing both (and others) at the same time.
 .
 There are also -large and -huge versions of this word list,
 and there are wbritish* and wamerican* packages as well.

Package: wcanadian-large
Architecture: all
Priority: optional
Depends: dictionaries-common (>=0.20), ${misc:Depends}
Provides: wordlist
Description: Canadian English dictionary words for /usr/share/dict
 This package provides the file /usr/share/dict/canadian-english-large
 containing a list of English words with Canadian spellings.
 This list can be used by spelling checkers, and by programs such
 as look(1).
 .
 This is a larger list than the one installed by wcanadian; nothing
 prevents you installing both (and others) at the same time.
 .
 There are also -small and -huge versions of this word list,
 and there are wbritish* and wamerican* packages as well.

Package: wcanadian-huge
Architecture: all
Priority: optional
Depends: dictionaries-common (>=0.20), ${misc:Depends}
Provides: wordlist
Description: Canadian English dictionary words for /usr/share/dict
 This package provides the file /usr/share/dict/canadian-english-huge
 containing a list of English words with Canadian spellings.
 This list can be used by spelling checkers, and by programs such
 as look(1).
 .
 This is an even larger list than the one installed by wcanadian-large;
 nothing prevents you installing both (and others) at the same time.
 .
 There are also -small and standard versions of this word list,
 and there are wbritish* and wamerican* packages as well.

Package: wcanadian-insane
Architecture: all
Section: text
Priority: optional
Depends: dictionaries-common (>=0.20), ${misc:Depends}
Provides: wordlist
Description: Canadian English dictionary words for /usr/share/dict
 This package provides the file /usr/share/dict/canadian-english-insane
 containing a list of English words with Canadian spellings.
 This list can be used by spelling checkers, and by programs such
 as look(1).
 .
 This is an even larger list than the one installed by wcanadian-huge,
 and possibly contains invalid words (as well as words that are very
 uncommon). Nothing prevents you installing both (and others) at the
 same time.
 .
 There are also -small and standard versions of this word list,
 and there are wbritish* and wamerican* packages as well.

=== debian/rules ===
#!/usr/bin/make -f
# -*- Makefile -*- $Id: rules,v 1.18 2005/10/15 03:03:48 david Exp $
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
# Customized 27 Oct 1999 by David Coe for wenglish, later moved to scowl
# This version is for packages that are architecture independent.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# In addition to the scowl binary package, we create wamerican-small, wamerican, wamerican-large, wamerican-huge, and the
# corresponding packages for wbritish and wcanadian.
# The medium size packages have no -size part in their names
# These are the scowl extensions (complexity numbers?) that contribute to each word list (i.e. each size);
# the -size parts "-small", "", "-large", and "-huge" correspond to the end of the binary package name:
empty:=
SIZES=small "" large huge insane
SIZE_EXTENSIONS_small:=10 20 35
SIZE_EXTENSIONS:=$(SIZE_EXTENSIONS_small) 40 50
SIZE_EXTENSIONS_large:=$(SIZE_EXTENSIONS) 55 60 70
SIZE_EXTENSIONS_huge:=$(SIZE_EXTENSIONS_large) 80
SIZE_EXTENSIONS_insane:=$(SIZE_EXTENSIONS_huge) 95
export SIZE_EXTENSIONS_small
export SIZE_EXTENSIONS
export SIZE_EXTENSIONS_large
export SIZE_EXTENSIONS_huge
export SIZE_EXTENSIONS_insane

SPELLINGS:= american british canadian

# These are the scowl word list classes we use:
CLASSES:=words proper-names upper contractions
VARIANTS:=0 1

%:
	dh $@

build:
	set -e;\
	for SPELLING in $(SPELLINGS); do\
	  for SIZE in $(SIZES); do\
	    if [ -n "$$SIZE" ]; then SIZE_NAME="_$$SIZE"; SIZE="-$$SIZE"; else SIZE_NAME=""; SIZE=""; fi; \
	    echo "The following SCOWL word lists were concatenated and sorted (with duplicates" > w$$SPELLING$$SIZE.scowl-word-lists-used;\
	    echo "removed) to create this word list (see README.Debian for more details):" >> w$$SPELLING$$SIZE.scowl-word-lists-used;\
	    for CLASS in $(CLASSES); do\
	      for EXT in $$(eval echo "\$$""SIZE_EXTENSIONS$$SIZE_NAME"); do\
		echo "class $$CLASS ext $$EXT size name $$SIZE_NAME"; \
		if [ -f final/english-$$CLASS.$$EXT ]; then\
		  echo "cat final/english-$$CLASS.$$EXT >> $$SPELLING-english$$SIZE.unsorted";\
		  cat final/english-$$CLASS.$$EXT >> $$SPELLING-english$$SIZE.unsorted;\
		  echo "  english-$$CLASS.$$EXT" >> w$$SPELLING$$SIZE.scowl-word-lists-used;\
		fi;\
		for VARIANT in $(VARIANTS); do\
		  VARIANT_FILE="$${SPELLING}_"; \
		  if [ "$$VARIANT_FILE" = "american_" ]; then \
			VARIANT_FILE=""; \
		  fi; \
		  if [ -f final/$${VARIANT_FILE}variant_$$VARIANT-$$CLASS.$$EXT ]; then\
		    echo "cat final/$${VARIANT_FILE}variant_$$VARIANT-$$CLASS.$$EXT >> $$SPELLING-english$$SIZE.unsorted";\
		    cat final/$${VARIANT_FILE}variant_$$VARIANT-$$CLASS.$$EXT >> $$SPELLING-english$$SIZE.unsorted;\
		    echo "  $${VARIANT_FILE}variant_$$VARIANT-$$CLASS.$$EXT" >> w$$SPELLING$$SIZE.scowl-word-lists-used;\
		  fi;\
		done;\
		if [ "$$SIZE" = "insane" ]; then\
		  for VARIANT in $(VARIANTS); do\
		    for VARIANT_FILE in $(SPELLINGS); do \
		      VARIANT_FILE="$${VARIANT_FILE}_"; \
		      if [ "$$VARIANT_FILE" = "american_" ]; then \
		   	VARIANT_FILE=""; \
		      fi; \
		      if [ -f final/$${VARIANT_FILE}variant_$$VARIANT-$$CLASS.$$EXT ]; then\
		        echo "cat final/$${VARIANT_FILE}variant_$$VARIANT-$$CLASS.$$EXT >> $$SPELLING-english$$SIZE.unsorted";\
		        cat final/$${VARIANT_FILE}variant_$$VARIANT-$$CLASS.$$EXT >> $$SPELLING-english$$SIZE.unsorted;\
		        echo "  $${VARIANT_FILE}variant_$$VARIANT-$$CLASS.$$EXT" >> w$$SPELLING$$SIZE.scowl-word-lists-used;\
		      fi;\
		    done; \
                  done; \
		  for special in final/special_*.$$CLASS; do \
		    echo "cat $$special >> $$SPELLING-english$$SIZE.unsorted";\
		    cat $$special >> $$SPELLING-english$$SIZE.unsorted;\
		    echo "  $$special" >> w$$SPELLING$$SIZE.scowl-word-lists-used;\
		  done;\
		fi;\
		if [ -f final/$$SPELLING-$$CLASS.$$EXT ]; then\
		  echo "cat final/$$SPELLING-$$CLASS.$$EXT >> $$SPELLING-english$$SIZE.unsorted";\
		  cat final/$$SPELLING-$$CLASS.$$EXT >> $$SPELLING-english$$SIZE.unsorted;\
		  echo "  $$SPELLING-$$CLASS.$$EXT" >> w$$SPELLING$$SIZE.scowl-word-lists-used;\
		fi;\
	      done;\
	    done;\
	  echo "cat $$SPELLING-english$$SIZE.unsorted | LC_ALL=C sort -u | iconv -t 'utf-8' > $$SPELLING-english$$SIZE; rm $$SPELLING-english$$SIZE.unsorted";\
	  cat $$SPELLING-english$$SIZE.unsorted | LC_ALL=C sort -u | iconv -f 'iso8859-1' -t 'utf-8' > $$SPELLING-english$$SIZE; rm $$SPELLING-english$$SIZE.unsorted;\
	  done;\
	done


override_dh_auto_clean:
	set -e;\
	for SIZE in $(SIZES); do\
	  if [ -n "$$SIZE" ]; then SIZE="-$$SIZE"; fi; \
	  for SPELLING in $(SPELLINGS); do\
	    rm -f $$SPELLING-english$$SIZE.unsorted $$SPELLING-english$$SIZE $$SPELLING-english$$SIZE.5 w$$SPELLING$$SIZE.scowl-word-lists-used;\
	  done;\
	done

INSTALL_WORDLISTS=$(patsubst %-"",%,$(foreach spelling,$(SPELLINGS),$(foreach size,$(SIZES),install-w$(spelling)-$(size))))

override_dh_auto_install: install build

override_dh_auto_build: 

install: build install-scowl $(INSTALL_WORDLISTS)
	installdeb-wordlist -pwamerican --noscripts
	installdeb-wordlist --no-package=wamerican --no-package=scowl

install-scowl:
	dh_installdirs --package=scowl

	dh_install --package=scowl final/*.[0-9][0-9] usr/share/dict/scowl
	dh_installdocs --package=scowl README debian/README.Debian



override_dh_auto_test:
	echo "doing nothing";


WORDLIST=$(shell echo $(*)|sed -re 's/^w([a-z]*)(-*[a-z]*)/\1-english\2/')
$(INSTALL_WORDLISTS): install-%: install-scowl
	dh_testdir
	dh_testroot
	dh_installdirs --package=$(*) usr/share/dict
	dh_install --package=$(*) $(shell echo $(*)|sed -re	\
's/^w([a-z]*)(-*[a-z]*)/\1-english\2/') usr/share/dict
	dh_installdocs --package=$(*) $(*).scowl-word-lists-used debian/README.Debian
	sed "s/WORDLIST/$(WORDLIST)/g" < debian/wordlist_manpage_template > $(WORDLIST).5
	dh_installman --package=$(*) $(WORDLIST).5


# this is the install-w$(SPELLING)-$(VARIANT) rule
.PHONY: $(foreach spelling,$(SPELLINGS),$(foreach size,$(SIZES),install-w$(spelling)-$(size)))

## scowl 2017.08.24

=== speller/Makefile ===

all: 
	@echo "Please use hunspell or aspell as target"

.aspell: make-aspell-dict
	make -C src deaccent
	./make-aspell-dict
	touch .aspell
aspell: .aspell

.hunspell: make-hunspell-dict add-no-suggest en.aff en.dic.supp README_en.txt.sh
	./make-hunspell-dict -all
	touch .hunspell
hunspell: .hunspell

clean:
	rm -rf hunspell/ *.zip
	cat to-clean | xargs rm -f

to-clean: .gitignore
	echo `cat .gitignore | grep -v '^#'` | tr ' ' '\n' | grep -v hunspell/ | grep -v \.zip > to-clean

=== debian/changelog ===
scowl (2017.08.24-1) unstable; urgency=medium

  * New upstream release
  * Move sangs (plural of an obscure plant) to -95 (Closes: #861025).
    Thanks to Josh Triplett.
  * variant_0 and variant_1 are now _1 and _2; update rules to properly
    include them (Closes: #867586). Thanks to 積丹尼 Dan Jacobson.
  * build hunspell-en-{us,au,ca} from here. The versions in
    libreoffice-dictionaries are built from here anyway (closes: #795159,
    #874519, #879199). Thanks to Rene Engelhard for the patch.

 -- Don Armstrong <don@debian.org>  Fri, 20 Oct 2017 12:09:03 -0700

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,10 @@
 Priority: standard
 Standards-Version: 3.9.2
 Build-Depends: debhelper
-Build-Depends-Indep: dictionaries-common-dev
+Build-Depends-Indep: dictionaries-common-dev, dos2unix, aspell
 Homepage: http://wordlist.sourceforge.net/
+Vcs-Browser: https://git.donarmstrong.com/deb_pkgs/scowl.git
+Vcs-Git: https://git.donarmstrong.com/deb_pkgs/scowl.git
 
 Package: scowl
 Architecture: all
@@ -280,3 +282,16 @@
  There are also -small and standard versions of this word list,
  and there are wbritish* and wamerican* packages as well.
 
+Package: hunspell-en-us
+Architecture: all
+Replaces: openoffice.org-spellcheck-en-us, myspell-en-us
+Provides: hunspell-dictionary, hunspell-dictionary-en, hunspell-dictionary-en-us
+Depends: dictionaries-common (>= 0.10)
+Suggests: hunspell, openoffice.org-hunspell | openoffice.org-core (>= 2.0.2)
+Conflicts: openoffice.org (<= 1.0.3-2), myspell-en-us, mozilla-browser (<< 1.8+1.1.1-2), iceape-browser (<< 1.1.1-2), firefox (<< 2.0.0.3-2), thunderbird (<< 2.0.0.1+dfsg-0), iceweasel (<< 2.0.0.3-2), icedove (<< 2.0.0.0-4), openoffice.org-core (<< 2.1~m190-1), libxul0d (= 1.8.0.11-3)
+Description: English_american dictionary for hunspell
+ This is the English_american dictionary for use with the hunspell spellchecker
+ .
+ Hunspell is a spell checker and morphological analyzer library and program
+ designed for languages with rich morphology and complex word compounding or
+ character encoding. It is based on MySpell and features an Ispell-like

=== debian/rules ===
--- 
+++ 
@@ -33,7 +33,9 @@
 
 # These are the scowl word list classes we use:
 CLASSES:=words proper-names upper contractions
-VARIANTS:=0 1
+VARIANTS:=1 2
+
+include /usr/share/dpkg/pkg-info.mk
 
 %:
 	dh $@
@@ -95,7 +97,7 @@
 	  cat $$SPELLING-english$$SIZE.unsorted | LC_ALL=C sort -u | iconv -f 'iso8859-1' -t 'utf-8' > $$SPELLING-english$$SIZE; rm $$SPELLING-english$$SIZE.unsorted;\
 	  done;\
 	done
-
+	cd speller && $(MAKE) hunspell
 
 override_dh_auto_clean:
 	set -e;\
@@ -105,6 +107,7 @@
 	    rm -f $$SPELLING-english$$SIZE.unsorted $$SPELLING-english$$SIZE $$SPELLING-english$$SIZE.5 w$$SPELLING$$SIZE.scowl-word-lists-used;\
 	  done;\
 	done
+	cd speller && $(MAKE) clean
 
 INSTALL_WORDLISTS=$(patsubst %-"",%,$(foreach spelling,$(SPELLINGS),$(foreach size,$(SIZES),install-w$(spelling)-$(size))))
 
@@ -122,10 +125,17 @@
 	dh_install --package=scowl final/*.[0-9][0-9] usr/share/dict/scowl
 	dh_installdocs --package=scowl README debian/README.Debian
 
-
+install-hunspell:
+	dh_install --package=hunspell-en-us
+	dh_install --package=hunspell-en-au
+	dh_install --package=hunspell-en-ca
 
 override_dh_auto_test:
 	echo "doing nothing";
+
+override_dh_gencontrol:
+	dh_gencontrol -Nhunspell-en-us -Nhunspell-en-au -Nhunspell-en-ca
+	dh_gencontrol -phunspell-en-us -phunspell-en-au -phunspell-en-ca -- -v1:$(DEB_VERSION_UPSTREAM)
 
 
 WORDLIST=$(shell echo $(*)|sed -re 's/^w([a-z]*)(-*[a-z]*)/\1-english\2/')
@@ -139,7 +149,6 @@
 	sed "s/WORDLIST/$(WORDLIST)/g" < debian/wordlist_manpage_template > $(WORDLIST).5
 	dh_installman --package=$(*) $(WORDLIST).5
 
-
 # this is the install-w$(SPELLING)-$(VARIANT) rule
 .PHONY: $(foreach spelling,$(SPELLINGS),$(foreach size,$(SIZES),install-w$(spelling)-$(size)))

## scowl 2018.04.16

=== debian/changelog ===
scowl (2018.04.16-1) unstable; urgency=medium

  * New upstream release
  * Use $(DEB_VERSION) for hunspel-en-{us,au,ca} insead of
    $(DEB_VERSION_UPSTREAM) (Closes: #884921)
  * Fix failure to build reproducibly with new debhelper versions due to
    wrong install: and build: targets in Makefile. (Closes: #890618)
    Thanks to Chris Lamb.
  * Call install-myspell to register the hunspell dictionaries (Closes:
    #696777)
  * All of the packages we produce are Multi-Arch: foreign (Closes: #752589)
  * Update standard-version; no changes.

 -- Don Armstrong <don@debian.org>  Tue, 24 Apr 2018 16:08:24 -0700

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Don Armstrong <don@debian.org>
 Section: text
 Priority: standard
-Standards-Version: 3.9.2
+Standards-Version: 4.1.4
 Build-Depends: debhelper
 Build-Depends-Indep: dictionaries-common-dev, dos2unix, aspell
 Homepage: http://wordlist.sourceforge.net/
@@ -11,6 +11,7 @@
 
 Package: scowl
 Architecture: all
+Multi-Arch: foreign
 Priority: optional
 Depends: ${misc:Depends}
 Description: Spell-Checker Oriented Word Lists
@@ -30,6 +31,7 @@
 
 Package: wamerican
 Architecture: all
+Multi-Arch: foreign
 Priority: standard
 Depends: ${misc:Depends}
 Provides: wordlist
@@ -44,6 +46,7 @@
 
 Package: wamerican-small
 Architecture: all
+Multi-Arch: foreign
 Priority: optional
 Depends: dictionaries-common (>=0.20), ${misc:Depends}
 Provides: wordlist
@@ -61,6 +64,7 @@
 
 Package: wamerican-large
 Architecture: all
+Multi-Arch: foreign
 Priority: optional
 Depends: dictionaries-common (>=0.20), ${misc:Depends}
 Provides: wordlist
@@ -78,6 +82,7 @@
 
 Package: wamerican-huge
 Architecture: all
+Multi-Arch: foreign
 Priority: optional
 Depends: dictionaries-common (>=0.20), ${misc:Depends}
 Provides: wordlist
@@ -95,6 +100,7 @@
 
 Package: wamerican-insane
 Architecture: all
+Multi-Arch: foreign
 Priority: optional
 Depends: dictionaries-common (>=0.20), ${misc:Depends}
 Provides: wordlist
@@ -115,6 +121,7 @@
 
 Package: wbritish
 Architecture: all
+Multi-Arch: foreign
 Priority: optional
 Depends: dictionaries-common (>=0.20), ${misc:Depends}
 Provides: wordlist
@@ -129,6 +136,7 @@
 
 Package: wbritish-small
 Architecture: all
+Multi-Arch: foreign
 Priority: optional
 Depends: dictionaries-common (>=0.20), ${misc:Depends}
 Provides: wordlist
@@ -146,6 +154,7 @@
 
 Package: wbritish-large
 Architecture: all
+Multi-Arch: foreign
 Priority: optional
 Depends: dictionaries-common (>=0.20), ${misc:Depends}
 Provides: wordlist
@@ -163,6 +172,7 @@
 
 Package: wbritish-huge
 Architecture: all
+Multi-Arch: foreign
 Priority: optional
 Depends: dictionaries-common (>=0.20), ${misc:Depends}
 Provides: wordlist
@@ -180,6 +190,7 @@
 
 Package: wbritish-insane
 Architecture: all
+Multi-Arch: foreign
 Priority: optional
 Depends: dictionaries-common (>=0.20), ${misc:Depends}
 Provides: wordlist
@@ -199,6 +210,7 @@
 
 Package: wcanadian
 Architecture: all
+Multi-Arch: foreign
 Priority: optional
 Depends: dictionaries-common (>=0.20), ${misc:Depends}
 Provides: wordlist
@@ -213,6 +225,7 @@
 
 Package: wcanadian-small
 Architecture: all
+Multi-Arch: foreign
 Priority: optional
 Depends: dictionaries-common (>=0.20), ${misc:Depends}
 Provides: wordlist
@@ -230,6 +243,7 @@
 
 Package: wcanadian-large
 Architecture: all
+Multi-Arch: foreign
 Priority: optional
 Depends: dictionaries-common (>=0.20), ${misc:Depends}
 Provides: wordlist
@@ -247,6 +261,7 @@
 
 Package: wcanadian-huge
 Architecture: all
+Multi-Arch: foreign
 Priority: optional
 Depends: dictionaries-common (>=0.20), ${misc:Depends}
 Provides: wordlist
@@ -264,6 +279,7 @@
 
 Package: wcanadian-insane
 Architecture: all
+Multi-Arch: foreign
 Section: text
 Priority: optional
 Depends: dictionaries-common (>=0.20), ${misc:Depends}
@@ -284,14 +300,9 @@
 
 Package: hunspell-en-us
 Architecture: all
+Multi-Arch: foreign
 Replaces: openoffice.org-spellcheck-en-us, myspell-en-us
 Provides: hunspell-dictionary, hunspell-dictionary-en, hunspell-dictionary-en-us
-Depends: dictionaries-common (>= 0.10)
+Depends: dictionaries-common (>= 0.10), ${misc:Depends}
 Suggests: hunspell, openoffice.org-hunspell | openoffice.org-core (>= 2.0.2)
 Conflicts: openoffice.org (<= 1.0.3-2), myspell-en-us, mozilla-browser (<< 1.8+1.1.1-2), iceape-browser (<< 1.1.1-2), firefox (<< 2.0.0.3-2), thunderbird (<< 2.0.0.1+dfsg-0), iceweasel (<< 2.0.0.3-2), icedove (<< 2.0.0.0-4), openoffice.org-core (<< 2.1~m190-1), libxul0d (= 1.8.0.11-3)
-Description: English_american dictionary for hunspell
- This is the English_american dictionary for use with the hunspell spellchecker
- .
- Hunspell is a spell checker and morphological analyzer library and program
- designed for languages with rich morphology and complex word compounding or
- character encoding. It is based on MySpell and features an Ispell-like

=== debian/rules ===
--- 
+++ 
@@ -40,7 +40,7 @@
 %:
 	dh $@
 
-build:
+override_dh_auto_build:
 	set -e;\
 	for SPELLING in $(SPELLINGS); do\
 	  for SIZE in $(SIZES); do\
@@ -111,13 +111,10 @@
 
 INSTALL_WORDLISTS=$(patsubst %-"",%,$(foreach spelling,$(SPELLINGS),$(foreach size,$(SIZES),install-w$(spelling)-$(size))))
 
-override_dh_auto_install: install build
-
-override_dh_auto_build: 
-
-install: build install-scowl $(INSTALL_WORDLISTS)
+override_dh_auto_install: install-scowl install-hunspell $(INSTALL_WORDLISTS)
 	installdeb-wordlist -pwamerican --noscripts
-	installdeb-wordlist --no-package=wamerican --no-package=scowl
+	installdeb-wordlist --no-package=wamerican --no-package=scowl --no-package=hunspell-en-us --no-package=hunspell-en-au --no-package=hunspell-en-ca
+	installdeb-hunspell -phunspell-en-ca -phunspell-en-au -phunspell-en-us
 
 install-scowl:
 	dh_installdirs --package=scowl
@@ -135,7 +132,7 @@
 
 override_dh_gencontrol:
 	dh_gencontrol -Nhunspell-en-us -Nhunspell-en-au -Nhunspell-en-ca
-	dh_gencontrol -phunspell-en-us -phunspell-en-au -phunspell-en-ca -- -v1:$(DEB_VERSION_UPSTREAM)
+	dh_gencontrol -phunspell-en-us -phunspell-en-au -phunspell-en-ca -- -v1:$(DEB_VERSION)
 
 
 WORDLIST=$(shell echo $(*)|sed -re 's/^w([a-z]*)(-*[a-z]*)/\1-english\2/')

## scowl 2019.10.06

=== src/Makefile ===

%: %.cc
	g++ -O $*.cc -o $*

deaccent: deaccent.cc
find-accented: find-accented.cc

=== debian/changelog ===
scowl (2019.10.06-1) unstable; urgency=medium

  * New upstream release (Closes: #952736)
  * Deprecate reprized for reprised (Closes: #952653)
  * Use up to 70 wordlists for hunspell (Closes: #933544)
  * Distribute all scowl files as utf-8 (Closes: #775480)

 -- Don Armstrong <don@debian.org>  Sat, 29 Feb 2020 20:07:46 -0800

=== debian/rules ===
--- 
+++ 
@@ -41,6 +41,11 @@
 	dh $@
 
 override_dh_auto_build:
+	set -e; \
+	mkdir -p final_utf8;\
+	for file in final/*.[0-9][0-9]; do\
+		iconv -f 'iso8859-1' -t 'utf-8' < $${file} > final_utf8/$$(basename $${file}); \
+	done;
 	set -e;\
 	for SPELLING in $(SPELLINGS); do\
 	  for SIZE in $(SIZES); do\
@@ -100,6 +105,7 @@
 	cd speller && $(MAKE) hunspell
 
 override_dh_auto_clean:
+	rm -rf final_utf8;
 	set -e;\
 	for SIZE in $(SIZES); do\
 	  if [ -n "$$SIZE" ]; then SIZE="-$$SIZE"; fi; \
@@ -119,7 +125,7 @@
 install-scowl:
 	dh_installdirs --package=scowl
 
-	dh_install --package=scowl final/*.[0-9][0-9] usr/share/dict/scowl
+	dh_install --package=scowl final_utf8/*.[0-9][0-9] usr/share/dict/scowl
 	dh_installdocs --package=scowl README debian/README.Debian
 
 install-hunspell:

=== debian/watch ===
version=3
http://sf.net/wordlist/scowl-(.+)\.tar\.gz
